<?php
session_start();include "index.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:13px; }
<p style="font-size:13px;"></p>
</style>
</head>
<body>

<?php 

require("dbconnect.php");
?>
	
<form method="post" name = "form1">
ΗΜΕΡΟΜΗΝΙΑ: <input type="date"  name = 'dt' value =<?php if (isset($_POST['dt'])) { echo $dt;$_SESSION['dt']=$dt; } else {$dt=date('Y-m-d');echo $dt;} ?> autofocus  ></p>
ΕΠΕΛΕΞΕ ΣΤΑΤΙΣΤΙΚΟ:
<br />
  <select name="anaf" size="3"  >
  <option value=1>Εμφάνιση αριθμού Απουσιών της ημέρας</option>
  <option value=2>Εμφάνιση  όλων των απουσιών </option>
  <option value=3>Εμφάνιση αριθμού των Καθυστερήσεων κατα περίοδο</option>
  <select><br /><br />
  <input type="submit" name="submit1" value="Επιβεβαίωση Επιλογής" >
</form>

<?php


if(isset($_POST['submit1']))
{
if(!isset($_POST['dt']))
{echo " ΔΕΝ ΕΧΕΤΕ ΚΑΘΟΡΙΣΕΙ ΤΗΝ ΗΜΕΡΟΜΗΝΙΑ";}
else
{$dt=$_POST['dt'];}

if(!$_POST['anaf'])
	{echo "ΔΕΝ ΕΧΕΤΕ ΕΠΙΛΕΞΕΙ ΑΝΑΦΟΡΑ";}
else
{
	$anaf=$_POST['anaf'];
	if ($anaf==1) {
	$sql = mysqli_query($con,"SELECT dateout, period, COUNT(apousia) FROM apousies WHERE apousia=1 AND dateout='$dt' GROUP BY period " );
	echo "<br>"."ΑΠΟΥΣΙΕΣ ΤΡΕΧΟΥΣΑΣ ΗΜΕΡΑΣ ΑΝΑ ΠΕΡΙΟΔΟ ΔΙΔΑΣΚΑΛΙΑΣ"."<br>";}
	else
	if ($anaf==2) {
	$sql = mysqli_query($con,"SELECT dateout, period, COUNT(apousia) FROM apousies WHERE apousia=1  GROUP BY dateout,period " );
	echo "<br>"."ΑΠΟΥΣΙΕΣ ΜΕΧΡΙ ΣΗΜΕΡΑ ΑΝΑ ΠΕΡΙΟΔΟ ΔΙΔΑΣΚΑΛΙΑΣ"."<br>";}
	else
	if ($anaf==3) {
	$sql = mysqli_query($con,"SELECT dateout, period, COUNT(kath) FROM apousies WHERE kath>0  GROUP BY dateout,period " );	
	echo "<br>"."ΚΑΘΥΣΤΕΡΗΣΕΙΣ ΑΝΑ ΗΜΕΡΑ ΚΑΙ ΠΕΡΙΟΔΟ ΔΙΔΑΣΚΑΛΙΑΣ"."<br>";
	}
// Print out result
$row = mysqli_fetch_array($sql);
$c=mysqli_num_rows($sql);
if ($c > 0){
echo "<table style='width:400px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#66CC99' >
<th>α/α</th>
<th>Ημερομηνία</th>
<th>Περ1</th>
<th>Περ2</th>
<th>Περ3</th>
<th>Περ4</th>
<th>Περ5</th>
<th>Περ6</th>
<th>Περ7</th>
</tr>";
//initialize arrray
//



$k=1;



while(!empty($row)) {
	$j=1;
    while($j<=7){$per1[$j]=0;$j++;}
	  $hmera=$row['dateout'];
      while ($hmera==$row['dateout']){
	  if ($anaf==3) {
	  $per1[$row['period']]=$row['COUNT(kath)'];}
	  else {
	  $per1[$row['period']]=$row['COUNT(apousia)'];}
	  $row = mysqli_fetch_array($sql);}
    

     $i=1;
     echo "<td>" .$k."</td>";
     echo "<td>". $hmera . "</td>";
     while($i<=7){
		 echo "<td>". $per1[$i] . "</td>";$i++;}
     echo "</tr>";
     $k++;

}
echo "</table>";	 
}}
}
?>

<br /><br />
<a  href="index.php" style="color:blue "  > <button> Επιστροφή στο Μενού  </a>
</body>
</html>